"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const NessBuilder_1 = __importDefault(require("../Managers/NessBuilder"));
class CustomProfile extends NessBuilder_1.default {
    preset = {
        classic: { cornerRadius: 30 }
    };
    avatar = {
        Square: {
            x: 25, y: 25,
            w: 150, h: 150,
            radius: 15,
        },
        Octogon: {
            x: 25, y: 25,
            w: 175, h: 175,
            radius: 5,
        }
    };
    constructor(presetType, background, avatar, shape) {
        if (presetType == 'classic') {
            super(700, 250);
        }
        else {
            super(0, 0);
        }
        this.init(background, this.preset[presetType].cornerRadius, avatar, shape);
    }
    ;
    init(background, radius, avatar, shape) {
        this.setCornerRadius(radius);
        this.setBackground(background);
        // this.setFrame(shape, {x: this.avatar[shape].x, y: this.avatar[shape].y}, {width: this.avatar[shape].w, height: this.avatar[shape].h}, {radPik: this.avatar[shape].radius, content: {imageOrText: avatar }, outline: { color: "#FF0000", lineWidth: 8 }});
        this.setExp({ x: 45, y: 200, width: 655, height: 30, radius: 20 }, 20);
        return this;
    }
    ;
    // this.generatedTo("asset/test/test.png");
    generatedTo(location, name, type) {
        (0, fs_1.writeFileSync)(`${location}/${name}.${type}`, this.toBuffer());
    }
    ;
}
exports.default = CustomProfile;
